VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "CDS_Interval"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ======== Модуль-интервал =============
' Shared module version: 20210430
' Tested in: TestCommons
' Depends on:
' Required reference:
Option Explicit

Public start_ As Long
Public finish_ As Long

Public Function Init(nStart&, nFinish&)
  start_ = nStart
  finish_ = nFinish
End Function

Public Function Clone() As CDS_Interval
  Set Clone = New CDS_Interval
  Call Clone.Init(start_, finish_)
End Function

Public Function Compare(rhs As Variant) As Double
  Compare = start_ - rhs.start_
  If Compare = 0 Then _
    Compare = finish_ - rhs.finish_
End Function
